/**
 * @desc 分配角色
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: string
    /** ids 多个以逗号分割 */
    ids: string
}

export const init = new defs.Result()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/sys/user/assign',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
